Package org.apache.catalina

## Interface WebResourceRoot.CacheStrategy

- Enclosing interface:
    WebResourceRoot

      public static interface WebResourceRoot.CacheStrategy

  Provides a mechanism to modify the caching behaviour.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `noCache​(java.lang.String path)` | Should the result of looking up the resource at the given path be excluded from caching?

- - ### Method Detail

    - #### noCache

          boolean noCache​(java.lang.String path)

      Should the result of looking up the resource at the given path be excluded from caching?
      Parameters:
        `path` - The path to check against the strategy to see if the result should be cached
      Returns:
        `true` if the result should not be cached, otherwise `false`